# Trait minio::s3::sse::Sse

source · [−]

    pub trait Sse: Debug {
        fn headers(&self) -> Multimap;
        fn copy_headers(&self) -> Multimap;
        fn tls_required(&self) -> bool;
        fn as_any(&self) -> &dyn Any;
    }

## Required Methods

source

#### fn headers(&self) -> Multimap

source

#### fn copy_headers(&self) -> Multimap

source

#### fn tls_required(&self) -> bool

source

#### fn as_any(&self) -> &dyn Any

## Implementors

source

### impl Sse for SseCustomerKey

source

### impl Sse for SseKms

source

### impl Sse for SseS3